Yes, I'd give it a try. Now have a T_3.0, 3.5 and 3.6 plugged in. Will be interesting to see what it does. Using TyComm on TD 1.41 IDE install - and as MultiSerMon - but it ignores TeensyLoader programming on the IDE with TD 1.42.

{ not sure if you peeked at tonton81 thread doing Teensy Master to Teensy Slave Transfer with 24 MHz SPI? }